import { Box, Grid } from "@mui/material";
import { useParams } from "react-router-dom";
import { useSelector, useDispatch } from "react-redux";
import { useEffect, useMemo, useState } from "react";
import { fetchProject } from "../../store/actions/projectsActions";
import { fetchUsers, fetchUsersAllFields } from "../../store/actions/usersActions";
import NewMember from "../NewMember/NewMember";
import ProjectUsersColumnsWrapper from "../../components/ProjectComponents/ProjectUsersColumnsWrapper/ProjectUsersColumnsWrapper";
import ProjectInfo from "../../components/ProjectComponents/ProjectInfo/ProjectInfo";


const FullProject = () => {

    const { project } = useSelector(state => state.projects);


    const user = useSelector(state => state.users.user);

    const dispatch = useDispatch();
    const params = useParams()

    useEffect(() => {
        dispatch(fetchProject(params.id))
    }, [params.id, dispatch]);

    const members = useMemo(() => {
        return project?.project?.members || []
    }, [project])

    return <>
        <Grid>
            <ProjectInfo
                project={project.project}
            />
            <ProjectUsersColumnsWrapper
                members={members}
            />
        </Grid>

    </>
};

export default FullProject;
